Subject: Re: [bug#31678] [PATCH 2/2] gnu: elixir: Enable more tests and remove patch.

From: Christopher Baines <[email-masked]>
Date: Tue, 12 Jun 2018 07:55:25 +0100

宋文武 <[email-masked]> writes:

> Christopher Baines <[email-masked]> writes:
>
>> Previously, due to issues in the erlang package, many tests would fail, and
>> the package would also nondeterministically fail to build. This is now
>> fixed (by patching occurances of /bin/sh in the erlang package), so all the
>> tests can be run.
>>
>> * gnu/packages/elixir.scm (elixir)[source]: Remove patches. The patch is no
>> longer necessary, as all the tests now pass.
>> [arguments]: Remove the fix-or-disable-tests phase, all the tests now
>> pass. Add a new set-home phase to set the HOME environment variable prior to
>> running the tests, as that was previously done at the start of the
>> fix-or-disable-tests phase.
>> * gnu/packages/patches/elixir-disable-failing-tests.patch: Delete this file,
>> as it is now unused.
>
> I think generally we only need to mention the ‘what’ parts, not the
> ‘why’ parts (“as …”) in the per-file details, but I guess it’s nothing
> wrong to do it :-)

I've pushed this now, thanks for taking a look :) I tweaked the
changelog to not repeat the why parts.

>> * gnu/local.mk: Remove now deleted patch.
> * gnu/local.mk (GNU_SYSTEM_MODULES): ...

Missed this bit, only just spotted what you were suggesting, sorry about
that.

>> ---
>>  gnu/local.mk                                  |   1 -
>>  gnu/packages/elixir.scm                       |  36 +--
>>  .../elixir-disable-failing-tests.patch        | 284 ------------------
>>  3 files changed, 6 insertions(+), 315 deletions(-)
>
> Cool, thank you!